Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags
Class EncodeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              weblogicx.jsp.tags.EncodeTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class EncodeTag

extends BodyTagSupport

The encode tag checks to see that the user has a session and the session id did not come in via a cookie, if these are both true the body of the tag is searched for relative URL references and they are replaced with versions that contain the session id. In addition, forms are modified with an addition hidden form parameter that is the session id. Here is an exhaustive list of those html tags that are modified: <a href="xxx"> -> <a href="xxx?_LINKSTRING_"> <img src="xxx" lowsrc="yyy"> -> <img src="xxx?_LINKSTRING_" lowsrc="yyy?_LINKSTRING_"> <form action="blah"></form> -> <form action="blah">_FORMSTRING_</form> <frame src="xxx"> -> <frame src="xxx?_LINKSTRING_"> <object src="xxx"> -> <object src="xxx?_LINKSTRING_">

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`EncodeTag()`

Method Summary
`int` | `doAfterBody()`
`String` | `getCookieName()`
`String` | `getSessionId()`
`void` | `release()` Reset properties.
`void` | `setCookieName(String cookieName)` This value can override the cookieName pulled from the session.
`void` | `setSessionId(String sessionId)` This value can override the sessionId pulled from the session.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### EncodeTag

    public EncodeTag()

Method Detail

### setSessionId

    public void setSessionId(String sessionId)

  This value can override the sessionId pulled from the session.

### getSessionId

    public String getSessionId()

### setCookieName

    public void setCookieName(String cookieName)

  This value can override the cookieName pulled from the session.

### getCookieName

    public String getCookieName()

### release

    public void release()

  Reset properties.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD